# Update affiliated person

Update records of an affiliated person object in our system

Endpoint: PATCH /affiliated-persons/{affiliated_person_id}
Version: 1.0
Security: API-Key

## Security:

  - `API-Key` (unknown)
    apiKey in header API-Key

## Path parameters:

  - `affiliated_person_id` (string, required)

## Request fields (application/json):

  - `first_name` (string | null)
    The first name of a person
    Example: Josh

  - `last_name` (string | null)
    The last name of a person
    Example: Coffey

  - `title` (string | null)
    A title of an authorised affiliated person object in a company
    Example: CDO

  - `share` (number | null)
    A share in percents of a beneficial affiliated person object in a company
    Example: 13.05

  - `dob` (string | null)
    The date of birth of a person, formatted as “YYYY-MM-DD” according to ISO 8601
    Example: 1976-02-21

  - `residence_country` (string | null)
    A residence country of an object. A two-letter country code according to ISO 3166-2
    Example: GB

  - `nationality` (string | null)
    A nationality country of a person. A two-letter country code according to ISO 3166-2
    Example: GB

  - `email` (string | null)
    The email address of a person or a company
    Example: josh.coffey@example.com

## Response 200:

  - `200` (unknown)
    **OK**
The request was successful, and our system returned an expected response.

## Response 200 fields (application/json):

  - `affiliated_person_id` (string)
    A unique identifier of an affiliated person object, that is assigned by our system after an affiliated person object was created with a “Create an affiliated person” request
    Example: da0ebf0ade0bfad0ebf0adeb0fade0bfad0e

## Response 400:

  - `400` (unknown)
    **Bad Request**
Our system could not process the request due to invalid syntax, missing parameters, or incorrect data format. Check the request structure and try again.

## Response 400 fields (application/json):

  - `type` (string)
    Example: bad_request

  - `errors` (array)

## Response 402:

  - `402` (unknown)
    **Payment Required**
Access to the requested resource is restricted until a payment is successfully processed. Ensure your account has a valid payment method or sufficient funds to complete this action.

## Response 402 fields (application/json):

  - `type` (string)
    Example: insufficient_funds

  - `errors` (array)

## Response 404:

  - `404` (unknown)
    **Not Found**
The requested resource does not exist or can’t be found in our system.

## Response 404 fields (application/json):

  - `type` (string)
    Example: not_found

  - `errors` (array)

  - `errors.parameter` (string)
    Example: affiliated_person_id

  - `errors.message` (string)
    Example: Affiliated person was not found

## Response 422:

  - `422` (unknown)
    **Unprocessable Content**
Our system understands the request but can’t process it due to invalid fields in the request body.

## Response 422 fields (application/json):

  - `type` (string)
    Example: validation

  - `errors` (array)

  - `errors.parameter` (string)
    Example: *

  - `errors.message` (string)
    Example: At least one parameter should be set

## Response 429:

  - `429` (unknown)
    **Too Many Requests**
This response indicates that a user has sent too many requests in a given amount of time.

## Response 429 fields (application/json):

  - `type` (string)
    Example: flow

  - `errors` (array)

  - `errors.parameter` (string)
    Example: limit_exceeded

  - `errors.message` (string)
    Example: Rate limit exceeded

## Response 500:

  - `500` (unknown)
    **Internal Server Error**
This response indicates that our system encountered an unexpected condition that prevented it from fulfilling the request.

## Response 500 fields (application/json):

  - `type` (string)
    Example: internal_server

  - `errors` (array)

## Response 502:

  - `502` (unknown)
    **Bad Gateway**
This response indicates that our system is unable to reach or communicate properly with an upstream server it relies on, the URL provided is incorrect, or a required token is missing from the request.

